com.ibm.openpages.api.workflow

## Enum WFRelationalOperatorType

- java.lang.Object
- - java.lang.Enum<WFRelationalOperatorType>
  - - com.ibm.openpages.api.workflow.WFRelationalOperatorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFRelationalOperatorType>

      public enum WFRelationalOperatorType
      extends java.lang.Enum<WFRelationalOperatorType>

  Enumeration that represents the type of relational operator used by `IWFRelationalConditionEval`
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `actorInGroup` Operator to compare the actor values and returns true when the left value is direct/indirect member of the right value group.
    `contains` Operator to compare the string match and returns true when the left string value contains the right string value.
    `empty` Operator to validate the string is empty or not.
    `equals` Operator to compare values and returns true when the two values are equal.
    `greaterThan` Operator to compare values and returns true when the left value is greater than the right value.
    `greaterThanOrEqualTo` Operator to compare values and returns true when the left value is greater than or equal to the right value.
    `in` Operator to compare values and returns true when the left value is among the right value.
    `inHierarchy` This operator is only relevant for hierarchical enums.
    `lessThan` Operator to compare values and returns true when the left value is less than the right value.
    `lessThanOrEqualTo` Operator to compare values and returns true when the left value is less than or equal to the right value.
    `like` Operator to compare the string match.
    `matchesAny` This operator is similar to in, but when there are multiple left values, then only one of them must be among the right values (not all of them).
    `regex` Operator to compare the string match and returns true when the left string value matches the regular expression provided by the right string value.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static WFRelationalOperatorType` | `getValue(int id)`
    `static WFRelationalOperatorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFRelationalOperatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### equals

          public static final WFRelationalOperatorType equals

      Operator to compare values and returns true when the two values are equal.

    - #### lessThan

          public static final WFRelationalOperatorType lessThan

      Operator to compare values and returns true when the left value is less than the right value.

    - #### greaterThan

          public static final WFRelationalOperatorType greaterThan

      Operator to compare values and returns true when the left value is greater than the right value.

    - #### lessThanOrEqualTo

          public static final WFRelationalOperatorType lessThanOrEqualTo

      Operator to compare values and returns true when the left value is less than or equal to the right value.

    - #### greaterThanOrEqualTo

          public static final WFRelationalOperatorType greaterThanOrEqualTo

      Operator to compare values and returns true when the left value is greater than or equal to the right value.

    - #### in

          public static final WFRelationalOperatorType in

      Operator to compare values and returns true when the left value is among the right value. The right evaluation unit has to result in a list.

    - #### like

          public static final WFRelationalOperatorType like

      Operator to compare the string match. It can be used only by the condition of `IWFObjectCountEval`. The right value can contain wildcards by following the 'like' operator syntax of SQL.

    - #### contains

          public static final WFRelationalOperatorType contains

      Operator to compare the string match and returns true when the left string value contains the right string value. Only available to the operator for `IWFRelationalConditionEval`, not for `IWFObjectCountEval`.

    - #### regex

          public static final WFRelationalOperatorType regex

      Operator to compare the string match and returns true when the left string value matches the regular expression provided by the right string value. Also works with enum values. In that case, all the right side values must match a left side value (basically the inverse of the in operator in that case). Only available to the operator for `IWFRelationalConditionEval`, not for `IWFObjectCountEval`.

    - #### empty

          public static final WFRelationalOperatorType empty

      Operator to validate the string is empty or not. It only requires one argument for it.

    - #### actorInGroup

          public static final WFRelationalOperatorType actorInGroup

      Operator to compare the actor values and returns true when the left value is direct/indirect member of the right value group.

    - #### inHierarchy

          public static final WFRelationalOperatorType inHierarchy

      This operator is only relevant for hierarchical enums. It compares values and returns true when the left value is among the right values, or any of their descendents. If there are multiple left values, then they all must match for the overall evaluation result to be true. The right evaluation unit has to result in a list.

    - #### matchesAny

          public static final WFRelationalOperatorType matchesAny

      This operator is similar to in, but when there are multiple left values, then only one of them must be among the right values (not all of them). As opposed to inHierarchy, this operator is not hierarchical in that the values must match exactly; it doesn't search all the children of each given right-side value.

  - ### Method Detail

    - #### values

          public static WFRelationalOperatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFRelationalOperatorType c : WFRelationalOperatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFRelationalOperatorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getValue

          public static WFRelationalOperatorType getValue(int id)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.